Subject: Re: push.default???

From: Miles Bader <[email-masked]>
Date: Wed, 24 Jun 2009 14:50:50 +0900

Junio C Hamano <[email-masked]> writes:
> However, when 'feature' is fully cooked, before pushing it back to be
> shared with others in the group, don't you do any testing with the work
> done by others while you were working on 'feature'?  That means you first
> integrate your 'feature' locally into shared 'master' and make sure all
> fits together well.

You seem to be making a lot of assumptions about workflows here.

It seems quite plausible to me that one might want to keep the remote
branch separate, even after pushing.  It's very common to cooperatively
develop feature branches for a very long time before merging to the
"real" master, but it's still extremely useful to keep them as branches
in the same local git directory.

-Miles

-- 
Somebody has to do something, and it's just incredibly pathetic that it
has to be us.  -- Jerry Garcia